> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# 음성 목록

GET https://api.elevenlabs.io/v2/voices

검색, 필터링 및 페이지네이션을 적용하여 사용자가 사용할 수 있는 모든 음성 목록을 가져옵니다.

Reference: https://elevenlabs.io/docs/api-reference/voices/search

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Query parameters

- `next_page_token` (string, optional, nullable) — 페이지네이션에 사용할 다음 페이지 토큰입니다. 이전 요청에서 반환됩니다. 안정적인 페이지네이션을 위해 has_more 플래그와 함께 사용하세요.
- `page_size` (integer, optional, default: 10) — 반환할 최대 음성 수입니다. 100을 초과할 수 없으며 기본값은 10입니다. 기본 음성이 포함되므로 페이지 0에는 더 많은 음성이 포함될 수 있습니다.
- `search` (string, optional, nullable) — 음성을 필터링할 검색어입니다. 이름, 설명, 라벨, 카테고리에서 검색합니다.
- `sort` (string, optional, nullable) — 정렬 기준 필드입니다. 'created_at_unix' 또는 'name' 중 하나입니다. 이전 음성에서는 'created_at_unix'를 사용할 수 없을 수 있습니다.
- `sort_direction` (string, optional, nullable) — 음성을 정렬할 방향입니다. 'asc' 또는 'desc'입니다.
- `voice_type` (string, optional, nullable) — 필터링할 음성 유형입니다. 'personal', 'community', 'default', 'workspace', 'non-default', 'non-community', 'saved' 중 하나입니다. 'non-default'는 'default'를 제외한 모든 유형과 같습니다. 'non-community'는 'personal'과 'workspace'를 합친 것과 같으며(라이브러리 복사본 제외), 'saved'는 non-default와 같지만 컬렉션에 추가된 기본 음성도 포함합니다.
- `category` (string, optional, nullable) — 필터링할 음성의 카테고리입니다. 'premade', 'cloned', 'generated', 'professional' 중 하나입니다.
- `fine_tuning_state` (string, optional, nullable) — 필터링할 음성의 파인튜닝 상태입니다. 프로페셔널 음성 복제에만 적용됩니다. 'draft', 'not_verified', 'not_started', 'queued', 'fine_tuning', 'fine_tuned', 'failed', 'delayed' 중 하나입니다.
- `collection_id` (string, optional, nullable) — 음성을 필터링할 컬렉션 ID입니다.
- `gender` (string, optional, nullable) — 음성의 'gender' 라벨을 기준으로 필터링에 사용할 성별입니다.
- `age` (string, optional, nullable) — 음성의 'age' 라벨을 기준으로 필터링에 사용할 연령입니다.
- `language` (list of string, optional, nullable) — 음성의 'language' 라벨을 기준으로 필터링에 사용할 언어입니다. 지정된 언어 중 하나와 일치하는 음성이 반환됩니다.
- `accent` (string, optional, nullable) — 음성의 'accent' 라벨을 기준으로 필터링에 사용할 억양입니다.
- `use_cases` (list of string, optional, nullable) — 음성의 'use_case' 라벨을 기준으로 필터링하는 데 사용되는 사용 사례입니다. 지정된 사용 사례 중 하나와 일치하는 음성이 반환됩니다.
- `min_notice_period_days` (integer, optional, nullable) — 공유 고지 기간이 지정된 일수 이상인 음성으로 필터링합니다.
- `include_custom_rates` (boolean, optional, nullable) — 사용자 지정 공유 요금이 있는 음성을 포함할지 여부입니다. 기본적으로 포함됩니다.
- `include_live_moderated` (boolean, optional, nullable) — 실시간 모더레이션이 활성화된 음성을 포함할지 여부입니다. 기본적으로 포함됩니다.
- `high_quality` (boolean, optional, nullable) — true인 경우 스튜디오 품질 음성(카테고리가 'high_quality'인 음성)만 반환합니다.
- `include_total_count` (boolean, optional, default: true) — 응답에 발견된 음성의 총 개수를 포함할지 여부입니다. 참고: total_count 값은 실시간 스냅샷이므로 사용자가 음성을 생성, 수정 또는 삭제함에 따라 요청 간 변경될 수 있습니다. 페이지네이션에는 대신 has_more 플래그를 사용하세요. 성능 비용이 발생하므로 실제로 총 개수가 필요한 경우(예: 표시 목적)에만 활성화하세요.
- `voice_ids` (list of string, optional, nullable) — 조회할 음성 ID입니다. 최대 100개의 음성 ID를 지정할 수 있습니다.

## Response

### 200

성공 응답

- `voices` (list of VoiceResponseModel, required) — 쿼리와 일치하는 음성 목록입니다.
- `has_more` (boolean, required) — 이후 페이지에 사용할 수 있는 음성이 더 있는지 나타냅니다. total_count에 의존하지 말고 이 플래그와 next_page_token을 사용하여 안정적으로 페이지를 나누세요.
- `total_count` (integer, required) — 쿼리와 일치하는 음성의 총개수입니다. 이 값은 현재 데이터베이스 상태를 반영하는 실시간 스냅샷이며, 사용자가 음성을 생성, 수정 또는 삭제함에 따라 요청 사이에 변경될 수 있습니다. 안정적인 페이지네이션을 위해 이 값에 의존하지 말고 has_more 플래그를 사용하세요. 이 필드를 계산하면 성능 비용이 발생하므로, 총개수가 실제로 필요한 경우(예: 표시 목적)에만 요청하세요.
- `next_page_token` (string, optional, nullable) — 다음 결과 페이지를 조회하기 위한 토큰입니다. 페이지네이션을 계속하려면 다음 요청에 이 값을 전달하세요. 추가 결과가 없으면 Null입니다.

## Errors

### 422 Unprocessable Entity Error

유효성 검사 오류

- `detail` (list of ValidationError, optional)

## Types

### VoiceResponseModel

- `voice_id` (string, required) — 음성의 ID입니다.
- `name` (string, optional) — 음성 이름입니다.
- `samples` (list of SampleResponseModel, optional, nullable) — 음성과 연결된 샘플 목록입니다.
- `category` (enum, optional) — 음성의 카테고리입니다.
  - Allowed values: `generated`, `cloned`, `premade`, `professional`, `famous`, `high_quality`
- `fine_tuning` (FineTuningResponseModel, optional, nullable) — 음성의 파인튜닝 정보입니다.
- `labels` (map from string to string, optional) — 음성과 연결된 라벨입니다.
- `description` (string, optional, nullable) — 음성 설명입니다.
- `preview_url` (string, optional, nullable) — 음성의 미리보기 URL입니다.
- `available_for_tiers` (list of string, optional) — 음성을 사용할 수 있는 티어입니다.
- `settings` (VoiceSettingsResponseModel, optional, nullable) — 음성의 설정입니다.
- `sharing` (VoiceSharingResponseModel, optional, nullable) — 음성의 공유 정보입니다.
- `high_quality_base_model_ids` (list of string, optional) — 고품질 음성용 기본 모델 ID입니다.
- `verified_languages` (list of VerifiedVoiceLanguageResponseModel, optional, nullable) — 음성의 검증된 언어입니다.
- `collection_ids` (list of string, optional, nullable) — 이 음성이 속한 컬렉션의 ID입니다.
- `safety_control` (enum, optional, nullable) — 음성의 안전 제어 기능입니다.
  - Allowed values: `NONE`, `BAN`, `CAPTCHA`, `ENTERPRISE_BAN`, `ENTERPRISE_CAPTCHA`
- `voice_verification` (VoiceVerificationResponseModel, optional, nullable) — 음성의 음성 검증입니다.
- `permission_on_resource` (string, optional, nullable) — 음성 리소스에 대한 권한입니다.
- `is_owner` (boolean, optional, nullable) — 음성이 사용자 소유인지 여부입니다.
- `is_legacy` (boolean, optional, default: false) — 음성이 레거시인지 여부입니다.
- `is_mixed` (boolean, optional, default: false) — 음성이 믹싱되었는지 여부입니다.
- `favorited_at_unix` (integer, optional, nullable) — 음성을 즐겨찾기로 표시한 시점의 Unix 타임스탬프입니다.
- `created_at_unix` (integer, optional, nullable) — 음성 생성 시간(Unix 시간)입니다.
- `is_bookmarked` (boolean, optional, nullable) — 현재 사용자가 음성을 북마크했는지 여부입니다. 커뮤니티(라이브러리에서 복사한) 음성에만 적용됩니다.
- `recording_quality` (enum, optional, nullable) — 검토 파이프라인에서 판단한 음성의 녹음 품질입니다.
  - Allowed values: `studio`, `good`, `ok`, `poor`, `bad`
- `labelling_status` (enum, optional, nullable) — 음성의 검토 파이프라인 상태입니다.
  - Allowed values: `in_review`, `review_complete`
- `recording_quality_reason` (string, optional, nullable) — 검토 파이프라인에서 판단한 녹음 품질 평가 사유입니다.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### SampleResponseModel

- `sample_id` (string, optional) — 샘플의 ID입니다.
- `file_name` (string, optional) — 샘플 파일 이름입니다.
- `mime_type` (string, optional) — 샘플 파일의 MIME 유형입니다.
- `size_bytes` (integer, optional) — 샘플 파일 크기(바이트)입니다.
- `hash` (string, optional) — 샘플 파일의 해시입니다.
- `duration_secs` (double, optional, nullable)
- `remove_background_noise` (boolean, optional, nullable)
- `has_isolated_audio` (boolean, optional, nullable)
- `has_isolated_audio_preview` (boolean, optional, nullable)
- `speaker_separation` (SpeakerSeparationResponseModel, optional, nullable)
- `trim_start` (integer, optional, nullable)
- `trim_end` (integer, optional, nullable)

### FineTuningResponseModel

- `is_allowed_to_fine_tune` (boolean, optional) — 사용자가 음성을 Finetune할 수 있는지 여부입니다.
- `state` (map from string to enum, optional) — 각 모델의 파인튜닝 프로세스 상태입니다.
  - Allowed values: `not_started`, `queued`, `fine_tuning`, `fine_tuned`, `failed`, `delayed`
- `verification_failures` (list of string, optional) — 파인튜닝 과정에서 발생한 검증 실패 목록입니다.
- `verification_attempts_count` (integer, optional) — 파인튜닝 프로세스의 검증 시도 횟수입니다.
- `manual_verification_requested` (boolean, optional) — 파인튜닝 프로세스에 대해 수동 검증이 요청되었는지 여부입니다.
- `language` (string, optional, nullable) — 파인튜닝 프로세스의 언어입니다.
- `progress` (map from string to double, optional, nullable) — 파인튜닝 프로세스의 진행 상황입니다.
- `message` (map from string to string, optional, nullable) — 파인튜닝 프로세스의 메시지입니다.
- `dataset_duration_seconds` (double, optional, nullable) — 데이터 세트 길이(초)입니다.
- `verification_attempts` (list of VerificationAttemptResponseModel, optional, nullable) — 검증 시도 횟수입니다.
- `slice_ids` (list of string, optional, nullable) — 슬라이스 ID 목록입니다.
- `manual_verification` (ManualVerificationResponseModel, optional, nullable) — 파인튜닝 프로세스의 수동 검증입니다.
- `max_verification_attempts` (integer, optional, nullable) — 최대 검증 시도 횟수입니다.
- `next_max_verification_attempts_reset_unix_ms` (integer, optional, nullable) — 다음 최대 검증 시도 횟수의 재설정 시간으로, Unix 밀리초 단위입니다.
- `finetuning_state` (any, optional)

### VoiceSettingsResponseModel

- `stability` (double, optional, nullable, default: 0.5) — 음성의 안정성과 각 생성 간 무작위성을 결정합니다. 값이 낮을수록 음성의 감정 표현 범위가 넓어집니다. 값이 높을수록 감정 표현이 제한된 단조로운 음성이 될 수 있습니다.
- `use_speaker_boost` (boolean, optional, nullable, default: true) — 이 설정은 원래 화자와의 유사도를 높입니다. 이 설정을 사용하면 계산 부하가 약간 증가하며, 그에 따라 지연 시간도 늘어납니다.
- `similarity_boost` (double, optional, nullable, default: 0.75) — AI가 원본 음성을 복제할 때 얼마나 가깝게 따를지 결정합니다.
- `style` (double, optional, nullable, default: 0) — 음성 스타일의 과장 정도를 결정합니다. 이 설정은 원래 화자의 스타일을 강화합니다. 추가 컴퓨팅 리소스를 사용하며, 0 이외의 값으로 설정하면 지연 시간이 늘어날 수 있습니다.
- `speed` (double, optional, nullable, default: 1) — 음성 속도를 조정합니다. 기본 속도는 1.0이며, 1.0보다 작은 값은 음성을 느리게 하고 1.0보다 큰 값은 빠르게 합니다.
- `clone_strength` (double, optional, nullable) — 음성이 프로페셔널 음성 복제 샘플과 일치하는 정도를 0(낮음)에서 1(높음) 사이로 조절합니다. 대부분의 사용 사례에서는 0을 권장합니다. 기본 설정에서 문제가 발생한 경우에만 이 값을 높이세요. 선택한 v4 모델에 맞게 Finetune된 프로페셔널 음성 복제에만 적용됩니다.

### VoiceSharingResponseModel

- `status` (enum, optional) — 음성 공유 상태입니다.
  - Allowed values: `enabled`, `disabled`, `copied`, `copied_disabled`
- `history_item_sample_id` (string, optional, nullable) — 기록 항목의 샘플 ID입니다.
- `date_unix` (integer, optional) — 음성 공유 날짜(Unix 시간)입니다.
- `whitelisted_emails` (list of string, optional) — 허용 목록에 포함된 이메일 목록입니다.
- `public_owner_id` (string, optional) — 공개 소유자의 ID입니다.
- `original_voice_id` (string, optional) — 원본 음성의 ID입니다.
- `financial_rewards_enabled` (boolean, optional) — 금전적 보상이 활성화되어 있는지 여부입니다.
- `free_users_allowed` (boolean, optional) — 무료 사용자가 허용되는지 여부입니다.
- `live_moderation_enabled` (boolean, optional) — 실시간 모더레이션이 활성화되어 있는지 여부입니다.
- `rate` (double, optional, nullable) — 음성 공유의 요율입니다.
- `fiat_rate` (double, optional, nullable) — 음성 공유의 1,000크레딧당 USD 요율입니다.
- `notice_period` (integer, optional) — 음성 공유의 통지 기간입니다.
- `disable_at_unix` (integer, optional, nullable) — 음성 공유 날짜(Unix 시간)입니다.
- `voice_mixing_allowed` (boolean, optional) — 음성 믹싱을 허용할지 여부입니다.
- `featured` (boolean, optional) — 음성이 추천 음성인지 여부입니다.
- `category` (enum, optional) — 음성의 카테고리입니다.
  - Allowed values: `generated`, `cloned`, `premade`, `professional`, `famous`, `high_quality`
- `reader_app_enabled` (boolean, optional, nullable) — Reader App이 활성화되어 있는지 여부입니다.
- `image_url` (string, optional, nullable) — 음성의 이미지 URL입니다.
- `ban_reason` (string, optional, nullable) — 음성 차단 사유입니다.
- `liked_by_count` (integer, optional) — 음성의 좋아요 수입니다.
- `cloned_by_count` (integer, optional) — 음성의 복제 수입니다.
- `name` (string, optional) — 음성 이름입니다.
- `description` (string, optional, nullable) — 음성 설명입니다.
- `labels` (map from string to string, optional) — 음성의 레이블입니다.
- `review_status` (enum, optional) — 음성의 검토 상태입니다.
  - Allowed values: `not_requested`, `pending`, `declined`, `declined_resubmittable`, `allowed`, `allowed_with_changes`
- `review_message` (string, optional, nullable) — 음성의 검토 메시지입니다.
- `enabled_in_library` (boolean, optional) — 음성이 라이브러리에서 활성화되어 있는지 여부입니다.
- `instagram_username` (string, optional, nullable) — 음성의 Instagram 사용자 이름입니다.
- `twitter_username` (string, optional, nullable) — 음성의 Twitter/X 사용자 이름입니다.
- `youtube_username` (string, optional, nullable) — 음성의 YouTube 사용자 이름입니다.
- `tiktok_username` (string, optional, nullable) — 음성의 TikTok 사용자 이름입니다.
- `moderation_check` (VoiceSharingModerationCheckResponseModel, optional, nullable) — 음성의 모더레이션 검사입니다.
- `reader_restricted_on` (list of ReaderResourceResponseModel, optional, nullable) — 음성에 적용된 Reader 제한입니다.

### VerifiedVoiceLanguageResponseModel

- `language` (string, required) — 음성의 언어입니다.
- `model_id` (string, required) — 음성의 모델 ID입니다.
- `accent` (string, optional, nullable) — 해당하는 경우 음성의 억양입니다.
- `locale` (string, optional, nullable) — 해당하는 경우 음성의 로케일입니다.
- `preview_url` (string, optional, nullable) — 해당하는 경우 음성의 미리 보기 URL입니다.

### VoiceVerificationResponseModel

- `requires_verification` (boolean, required) — 음성에 검증이 필요한지 여부입니다.
- `is_verified` (boolean, required) — 음성이 검증되었는지 여부입니다.
- `verification_failures` (list of string, required) — 검증 실패 목록입니다.
- `verification_attempts_count` (integer, required) — 검증 시도 횟수입니다.
- `language` (string, optional, nullable) — 음성의 언어입니다.
- `verification_attempts` (list of VerificationAttemptResponseModel, optional, nullable) — 검증을 시도한 횟수입니다.

### ValidationErrorLocItems

- string
- integer

### SpeakerSeparationResponseModel

- `voice_id` (string, required) — 음성의 ID입니다.
- `sample_id` (string, required) — 샘플의 ID입니다.
- `status` (enum, required) — 화자 분리 상태입니다.
  - Allowed values: `not_started`, `pending`, `completed`, `failed`
- `speakers` (map from string to SpeakerResponseModel, optional, nullable) — 샘플의 화자입니다.
- `selected_speaker_ids` (list of string, optional, nullable) — 선택한 화자의 ID입니다.

### VerificationAttemptResponseModel

- `text` (string, required) — 검증 시도의 텍스트입니다.
- `date_unix` (integer, required) — 검증 시도 날짜(Unix 시간)입니다.
- `accepted` (boolean, required) — 검증 시도가 승인되었는지 여부입니다.
- `similarity` (double, required) — 검증 시도의 유사도입니다.
- `levenshtein_distance` (double, required) — 검증 시도의 Levenshtein 거리입니다.
- `recording` (RecordingResponseModel, optional, nullable) — 검증 시도의 녹음입니다.

### ManualVerificationResponseModel

- `extra_text` (string, required) — 수동 검증의 추가 텍스트입니다.
- `request_time_unix` (integer, required) — 수동 검증 날짜(Unix 시간)입니다.
- `files` (list of ManualVerificationFileResponseModel, required) — 수동 검증 파일입니다.

### VoiceSharingModerationCheckResponseModel

- `date_checked_unix` (integer, optional, nullable) — 검토 확인이 수행된 날짜(Unix 시간)입니다.
- `name_value` (string, optional, nullable) — 음성의 이름 값입니다.
- `name_check` (boolean, optional, nullable) — 이름 검사가 성공했는지 여부입니다.
- `description_value` (string, optional, nullable) — 음성의 설명 값입니다.
- `description_check` (boolean, optional, nullable) — 설명 검사가 성공했는지 여부입니다.
- `sample_ids` (list of string, optional, nullable) — 샘플 ID 목록입니다.
- `sample_checks` (list of double, optional, nullable) — 샘플 검사 목록입니다.
- `captcha_ids` (list of string, optional, nullable) — captcha ID 목록입니다.
- `captcha_checks` (list of double, optional, nullable) — CAPTCHA 검사 값 목록입니다.

### ReaderResourceResponseModel

- `resource_type` (enum, required) — 리소스 유형입니다.
  - Allowed values: `read`, `collection`
- `resource_id` (string, required) — 리소스의 ID입니다.

### SpeakerResponseModel

- `speaker_id` (string, required) — 화자의 ID입니다.
- `duration_secs` (double, required) — 화자 세그먼트 길이(초)입니다.
- `utterances` (list of UtteranceResponseModel, optional, nullable) — 화자의 발화입니다.

### RecordingResponseModel

- `recording_id` (string, required) — 녹음의 ID입니다.
- `mime_type` (string, required) — 녹음의 MIME 유형입니다.
- `size_bytes` (integer, required) — 녹음 크기(바이트)입니다.
- `upload_date_unix` (integer, required) — 녹음 날짜(Unix 시간)입니다.
- `transcription` (string, required) — 녹음의 전사입니다.

### ManualVerificationFileResponseModel

- `file_id` (string, required) — 파일의 ID입니다.
- `file_name` (string, required) — 파일 이름입니다.
- `mime_type` (string, required) — 파일의 MIME 유형입니다.
- `size_bytes` (integer, required) — 파일 크기(바이트)입니다.
- `upload_date_unix` (integer, required) — 파일 날짜(Unix 시간)입니다.

### UtteranceResponseModel

- `start` (double, required) — 발화의 시작 시간(초)입니다.
- `end` (double, required) — 발화 종료 시간(초)입니다.

## Examples

**Response**

```json
{
  "voices": [
    {
      "voice_id": "string",
      "name": "string",
      "samples": [
        {
          "sample_id": "string",
          "file_name": "string",
          "mime_type": "string",
          "size_bytes": 1,
          "hash": "string",
          "duration_secs": 1.1,
          "remove_background_noise": true,
          "has_isolated_audio": true,
          "has_isolated_audio_preview": true,
          "speaker_separation": {
            "voice_id": "DCwhRBWXzGAHq8TQ4Fs18",
            "sample_id": "DCwhRBWXzGAHq8TQ4Fs18",
            "status": "not_started"
          },
          "trim_start": 1,
          "trim_end": 1
        }
      ],
      "category": "generated",
      "fine_tuning": {
        "is_allowed_to_fine_tune": true,
        "state": {
          "eleven_multilingual_v2": "fine_tuned"
        },
        "verification_failures": [],
        "verification_attempts_count": 2,
        "manual_verification_requested": false
      },
      "labels": {},
      "description": "string",
      "preview_url": "string",
      "available_for_tiers": [
        "string"
      ],
      "settings": {
        "stability": 1,
        "use_speaker_boost": true,
        "similarity_boost": 1,
        "style": 0,
        "speed": 1
      },
      "sharing": {
        "status": "enabled",
        "history_item_sample_id": "DCwhRBWXzGAHq8TQ4Fs18",
        "date_unix": 1714204800,
        "whitelisted_emails": [
          "example@example.com"
        ],
        "public_owner_id": "DCwhRBWXzGAHq8TQ4Fs18",
        "original_voice_id": "DCwhRBWXzGAHq8TQ4Fs18",
        "financial_rewards_enabled": true,
        "free_users_allowed": true,
        "live_moderation_enabled": true,
        "rate": 0.05,
        "notice_period": 30,
        "disable_at_unix": 1714204800,
        "voice_mixing_allowed": false,
        "featured": true,
        "category": "professional",
        "reader_app_enabled": true,
        "liked_by_count": 100,
        "cloned_by_count": 50,
        "name": "Rachel",
        "description": "A female voice with a soft and friendly tone.",
        "labels": {
          "accent": "American",
          "gender": "female"
        },
        "review_status": "allowed",
        "enabled_in_library": true,
        "moderation_check": {
          "date_checked_unix": 1714204800,
          "name_value": "Rachel",
          "name_check": true,
          "description_value": "A female voice with a soft and friendly tone.",
          "description_check": true,
          "sample_ids": [
            "sample1",
            "sample2"
          ],
          "sample_checks": [
            0.95,
            0.98
          ],
          "captcha_ids": [
            "captcha1",
            "captcha2"
          ],
          "captcha_checks": [
            0.95,
            0.98
          ]
        },
        "reader_restricted_on": [
          {
            "resource_type": "read",
            "resource_id": "FCwhRBWXzGAHq8TQ4Fs18"
          }
        ]
      },
      "high_quality_base_model_ids": [
        "string"
      ],
      "verified_languages": [
        {
          "language": "string",
          "model_id": "string",
          "accent": "string",
          "locale": "string",
          "preview_url": "string"
        }
      ],
      "collection_ids": [
        "string"
      ],
      "safety_control": "NONE",
      "voice_verification": {
        "requires_verification": false,
        "is_verified": true,
        "verification_failures": [],
        "verification_attempts_count": 0,
        "language": "en",
        "verification_attempts": [
          {
            "text": "Hello, how are you?",
            "date_unix": 1714204800,
            "accepted": true,
            "similarity": 0.95,
            "levenshtein_distance": 2,
            "recording": {
              "recording_id": "CwhRBWXzGAHq8TQ4Fs17",
              "mime_type": "audio/mpeg",
              "size_bytes": 1000000,
              "upload_date_unix": 1714204800,
              "transcription": "Hello, how are you?"
            }
          }
        ]
      },
      "permission_on_resource": "string",
      "is_owner": true,
      "is_legacy": false,
      "is_mixed": false,
      "favorited_at_unix": 1,
      "created_at_unix": 1,
      "is_bookmarked": true,
      "recording_quality": "studio",
      "labelling_status": "in_review",
      "recording_quality_reason": "string"
    }
  ],
  "has_more": true,
  "total_count": 1,
  "next_page_token": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v2/voices"

querystring = {"accent":"american","age":"young","gender":"male","high_quality":"true","include_custom_rates":"true","include_live_moderated":"true","include_total_count":"true","language":"[\"en\",\"es\"]","min_notice_period_days":"30","next_page_token":"0","sort":"created_at_unix","sort_direction":"desc","use_cases":"[\"conversational\",\"narrative_story\"]"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v2/voices?accent=american&age=young&gender=male&high_quality=true&include_custom_rates=true&include_live_moderated=true&include_total_count=true&language=%5B%22en%22%2C%22es%22%5D&min_notice_period_days=30&next_page_token=0&sort=created_at_unix&sort_direction=desc&use_cases=%5B%22conversational%22%2C%22narrative_story%22%5D';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v2/voices?accent=american&age=young&gender=male&high_quality=true&include_custom_rates=true&include_live_moderated=true&include_total_count=true&language=%5B%22en%22%2C%22es%22%5D&min_notice_period_days=30&next_page_token=0&sort=created_at_unix&sort_direction=desc&use_cases=%5B%22conversational%22%2C%22narrative_story%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v2/voices?accent=american&age=young&gender=male&high_quality=true&include_custom_rates=true&include_live_moderated=true&include_total_count=true&language=%5B%22en%22%2C%22es%22%5D&min_notice_period_days=30&next_page_token=0&sort=created_at_unix&sort_direction=desc&use_cases=%5B%22conversational%22%2C%22narrative_story%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v2/voices?accent=american&age=young&gender=male&high_quality=true&include_custom_rates=true&include_live_moderated=true&include_total_count=true&language=%5B%22en%22%2C%22es%22%5D&min_notice_period_days=30&next_page_token=0&sort=created_at_unix&sort_direction=desc&use_cases=%5B%22conversational%22%2C%22narrative_story%22%5D")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v2/voices?accent=american&age=young&gender=male&high_quality=true&include_custom_rates=true&include_live_moderated=true&include_total_count=true&language=%5B%22en%22%2C%22es%22%5D&min_notice_period_days=30&next_page_token=0&sort=created_at_unix&sort_direction=desc&use_cases=%5B%22conversational%22%2C%22narrative_story%22%5D');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v2/voices?accent=american&age=young&gender=male&high_quality=true&include_custom_rates=true&include_live_moderated=true&include_total_count=true&language=%5B%22en%22%2C%22es%22%5D&min_notice_period_days=30&next_page_token=0&sort=created_at_unix&sort_direction=desc&use_cases=%5B%22conversational%22%2C%22narrative_story%22%5D");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v2/voices?accent=american&age=young&gender=male&high_quality=true&include_custom_rates=true&include_live_moderated=true&include_total_count=true&language=%5B%22en%22%2C%22es%22%5D&min_notice_period_days=30&next_page_token=0&sort=created_at_unix&sort_direction=desc&use_cases=%5B%22conversational%22%2C%22narrative_story%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```